Package org.globus.gsi.stores

# Class Stores

java.lang.Object
org.globus.gsi.stores.Stores

public class Stores extends Object

Author:
  Jerome Revillard

## Constructor Summary

Constructors
Constructor
Description
`Stores()`

## Method Summary

Modifier and Type
Method
Description
`static CertStore`
`getCACertStore(String casLocationPattern)`
`static CertStore`
`getCRLStore(String crlsLocationPattern)`
`static CertStore`
`getDefaultCACertStore()`
`static String`
`getDefaultCAFilesPattern()`
`static String`
`getDefaultCRLFilesPattern()`
`static CertStore`
`getDefaultCRLStore()`
`static String`
`getDefaultSigningPolicyFilesPattern()`
`static ResourceSigningPolicyStore`
`getDefaultSigningPolicyStore()`
`static KeyStore`
`getDefaultTrustStore()`
`static ResourceSigningPolicyStore`
`getSigningPolicyStore(String signingPolicyLocationPattern)`
`static KeyStore`
`getTrustStore(String casLocationPattern)`
`static void`
`setDefaultCAFilesPattern(String defaultCAFilesPattern)`
`static void`
`setDefaultCRLFilesPattern(String defaultCRLFilesPattern)`
`static void`
`setDefaultSigningPolicyFilesPattern(String defaultSigningPolicyFilesPattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stores

public Stores()

## Method Details

### getDefaultTrustStore

public static KeyStore getDefaultTrustStore() throws GeneralSecurityException, IOException

Throws:
  `GeneralSecurityException`
  `IOException`

### getTrustStore

public static KeyStore getTrustStore(String casLocationPattern) throws GeneralSecurityException, IOException

Throws:
  `GeneralSecurityException`
  `IOException`

### getDefaultCACertStore

public static CertStore getDefaultCACertStore() throws GeneralSecurityException, NoSuchAlgorithmException

Throws:
  `GeneralSecurityException`
  `NoSuchAlgorithmException`

### getCACertStore

public static CertStore getCACertStore(String casLocationPattern) throws GeneralSecurityException, NoSuchAlgorithmException

Throws:
  `GeneralSecurityException`
  `NoSuchAlgorithmException`

### getDefaultCRLStore

public static CertStore getDefaultCRLStore() throws GeneralSecurityException, NoSuchAlgorithmException

Throws:
  `GeneralSecurityException`
  `NoSuchAlgorithmException`

### getCRLStore

public static CertStore getCRLStore(String crlsLocationPattern) throws GeneralSecurityException, NoSuchAlgorithmException

Throws:
  `GeneralSecurityException`
  `NoSuchAlgorithmException`

### getDefaultSigningPolicyStore

public static ResourceSigningPolicyStore getDefaultSigningPolicyStore() throws GeneralSecurityException

Throws:
  `GeneralSecurityException`

### getSigningPolicyStore

public static ResourceSigningPolicyStore getSigningPolicyStore(String signingPolicyLocationPattern) throws GeneralSecurityException

Throws:
  `GeneralSecurityException`

### getDefaultCAFilesPattern

public static String getDefaultCAFilesPattern()

### setDefaultCAFilesPattern

public static void setDefaultCAFilesPattern(String defaultCAFilesPattern)

### getDefaultCRLFilesPattern

public static String getDefaultCRLFilesPattern()

### setDefaultCRLFilesPattern

public static void setDefaultCRLFilesPattern(String defaultCRLFilesPattern)

### getDefaultSigningPolicyFilesPattern

public static String getDefaultSigningPolicyFilesPattern()

### setDefaultSigningPolicyFilesPattern

public static void setDefaultSigningPolicyFilesPattern(String defaultSigningPolicyFilesPattern)